> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tool

> Creates a new tool details for use within the Trugen AI system.



## OpenAPI

````yaml POST /ext/tool
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /ext/tool:
    post:
      summary: Create a new Tool details
      description: Creates a new tool details for use within the Trugen AI system.
      operationId: createTool
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  example: tool.api
                schema:
                  type: object
                  properties:
                    type:
                      type: string
                      example: function
                    name:
                      type: string
                      example: start_cloud_browser_session
                    description:
                      type: string
                      example: Starts the dashboard page with logged in session.
                    parameters:
                      type: object
                      properties:
                        type:
                          type: string
                          example: object
                        properties:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              type:
                                type: string
                                example: string
                              description:
                                type: string
                        required:
                          type: array
                          items:
                            type: string
                  required:
                    - type
                    - name
                    - description
                    - parameters
                request_config:
                  type: object
                  properties:
                    method:
                      type: string
                      example: GET
                    url:
                      type: string
                      example: https://www.example.com/information
                    headers:
                      type: object
                      additionalProperties:
                        type: string
                  required:
                    - method
                    - url
                event_messages:
                  type: object
                  properties:
                    on_start:
                      type: object
                      properties:
                        message:
                          type: string
                    on_success:
                      type: object
                      properties:
                        message:
                          type: string
                    on_delay:
                      type: object
                      properties:
                        delay:
                          type: integer
                        message:
                          type: string
                    on_error:
                      type: object
                      properties:
                        message:
                          type: string
              required:
                - type
                - schema
                - request_config
                - event_messages
      responses:
        '201':
          description: Tool details created successfully
        '400':
          description: Invalid request body
        '401':
          description: Unauthorized – missing or invalid API key
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````